Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.KeyboardModifier

    java.lang.Object
      java.lang.Enum<Qt.KeyboardModifier>
          com.trolltech.qt.core.Qt.KeyboardModifier

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.KeyboardModifier>

Enclosing interface:
  Qt

    public static enum Qt.KeyboardModifier

extends java.lang.Enum<Qt.KeyboardModifier>
implements QtEnumerator

This enum describes the modifier keys.

Note: On Mac OS X, the `ControlModifier` value corresponds to the Command keys on the Macintosh keyboard, and the `MetaModifier` value corresponds to the Control keys. The `KeypadModifier` value will also be set when an arrow key is pressed as the arrow keys are considered part of the keypad.

See Also:
  `MouseButton`, Modifier

Enum Constant Summary
`AltModifier` An Alt key on the keyboard is pressed.
`ControlModifier` A Ctrl key on the keyboard is pressed.
`GroupSwitchModifier` X11 only.
`KeyboardModifierMask` Internal.
`KeypadModifier` A keypad button is pressed.
`MetaModifier` A Meta key on the keyboard is pressed.
`NoModifier` No modifier key is pressed.
`ShiftModifier` A Shift key on the keyboard is pressed.

Method Summary
`static Qt.KeyboardModifiers` | `createQFlags(Qt.KeyboardModifier... values)`
`static Qt.KeyboardModifier` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.KeyboardModifier` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.KeyboardModifier[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoModifier

    public static final Qt.KeyboardModifier NoModifier

  No modifier key is pressed.

### ShiftModifier

    public static final Qt.KeyboardModifier ShiftModifier

  A Shift key on the keyboard is pressed.

### ControlModifier

    public static final Qt.KeyboardModifier ControlModifier

  A Ctrl key on the keyboard is pressed.

### AltModifier

    public static final Qt.KeyboardModifier AltModifier

  An Alt key on the keyboard is pressed.

### MetaModifier

    public static final Qt.KeyboardModifier MetaModifier

  A Meta key on the keyboard is pressed.

### KeypadModifier

    public static final Qt.KeyboardModifier KeypadModifier

  A keypad button is pressed.

### GroupSwitchModifier

    public static final Qt.KeyboardModifier GroupSwitchModifier

  X11 only. A Mode_switch key on the keyboard is pressed.

### KeyboardModifierMask

    public static final Qt.KeyboardModifier KeyboardModifierMask

  Internal.

Method Detail

### values

    public static final Qt.KeyboardModifier[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.KeyboardModifier c : Qt.KeyboardModifier.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.KeyboardModifier valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static Qt.KeyboardModifiers createQFlags(Qt.KeyboardModifier... values)

### resolve

    public static Qt.KeyboardModifier resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD